
Application: gvSIG desktop - gvSIG bugs #2870
Edición de tabla: cambio de datos de una columna eliminada
10/13/2014 11:32 AM - Jose Manuel Vivó Arnal

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee:
Category: Document table
Target version:
Severity: Critical Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2247 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Document: Table (org.gvsig.app.document.table.app.mainplugin)
Description

Entorno:

    -  Fichero Shp (cualquier geometría) cargado en una vista
        -  Contiene un campo entero llamado c1
        -  Contiene un par de registros con valores en c1
Reproducir el error:
    1. poner la capa en edición
    2. mostrar su tabla
    3. crear campo c2 de tipo entero
    4. Insertar valore en c2 distintos de c1
    5. Borrar columna c1
    6. Renombrar columna c2 a c1
        -  Como resultado la nueva columna c1 tiene los mismos valores que la antigua c1 en vez de los nuevo introducidos cuando se
llamaba c2

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 2367: Registers can't be... Closed 02/24/2014
Related to Application: gvSIG desktop - gvSIG bugs # 2101: error al borrar y ... Closed 11/07/2013

History
#1 - 12/29/2014 07:28 PM - Antonio Falciano
- Target version set to 2.1.0-2268-rc4

This issue can be reproduced in build 2262 yet.
It seems that after the step 5 (i.e. the deletion of c1 column), the table is not refreshed.

#2 - 01/05/2015 01:22 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2268-rc4 to 2.1.0-2263

#3 - 01/05/2015 10:17 PM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #2367: Registers can't be filled out when several fields are inserted on the table added

#4 - 01/05/2015 11:02 PM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #2101: error al borrar y crear de nuevo campos de una tabla en un shape added

#5 - 01/05/2015 11:04 PM - Joaquín  del Cerro Murciano

Bueno, despues de mirarlo un buen rato el error parece debido a que la correccion del ticket #2367 no se hizo donde tocaba. Probablemente haya que
deshacer los cambios de ese ticket y abordar la correccion de èl en la clase UpdateFeatureTypeTransform que es donde parece que esta el error.
Parece que la implementacion de la transformacion para la actualizacion del feature-type no gestiona bien el caso del ticket #2367.
Yo reharia la transformacion entera pensandolo desde cero, pero no se el impacto que pueda tener eso.

#6 - 01/05/2015 11:13 PM - Joaquín  del Cerro Murciano
- Severity changed from Major to Critical
- Priority changed from Normal to Urgent

#7 - 01/07/2015 10:37 AM - Joaquín  del Cerro Murciano
- Target version deleted (2.1.0-2263)

#8 - 03/04/2020 12:05 PM - Álvaro Anguix
- Status changed from New to Closed

En build 3010 funciona correctamente
